{{- if and .Values.global.metrics.enabled .Values.global.metrics.prometheusExporter.enabled .Values.global.metrics.enableServiceMonitors }}
{{- if not .Capabilities.APIVersions.Has "monitoring.coreos.com/v1" }}
  {{- fail "Prometheus ServiceMonitor resources are enabled but not supported." }}
{{- else }}
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ include "rapportageservice.fullname" . }}
  labels:
    {{- include "rapportageservice.labels" . | nindent 4 }}
spec:
  selector:
    matchLabels:
      {{- include "rapportageservice.selectorLabels" . | nindent 6 }}
  endpoints:
    - port: metrics
      path: /metrics
{{- end }}
{{- end }}
